> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Own Ad Library

> Stored own ads and each selectable still; no competitor or Social gallery.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/creative/own-ads/library
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/creative/own-ads/library:
    get:
      tags:
        - Brand Creative
        - Brand Creative
      summary: List Own Ad Library
      description: >-
        Stored own ads and each selectable still; no competitor or Social
        gallery.
      operationId: >-
        list_own_ad_library_api_v1_brands__brand_id__creative_own_ads_library_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Limit
            default: 20
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 0
            default: 0
            title: Offset
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 2048
              - type: 'null'
            title: Cursor
        - name: ad_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Ad Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OwnAdLibraryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OwnAdLibraryResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OwnAdLibraryItemResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
          description: Page-relative lower bound, not a full library count.
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
        has_more:
          type: boolean
          title: Has More
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - total
        - limit
        - offset
        - has_more
      title: OwnAdLibraryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OwnAdLibraryItemResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        label:
          type: string
          title: Label
        platform:
          type: string
          title: Platform
        publisher_platforms:
          items:
            type: string
          type: array
          title: Publisher Platforms
        placement:
          anyOf:
            - type: string
            - type: 'null'
          title: Placement
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        images:
          items:
            $ref: '#/components/schemas/OwnAdLibraryImageResponse'
          type: array
          title: Images
      type: object
      required:
        - id
        - label
        - platform
      title: OwnAdLibraryItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OwnAdLibraryImageResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        media_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Media Url
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        aspect_ratio:
          anyOf:
            - type: string
            - type: 'null'
          title: Aspect Ratio
      type: object
      required:
        - id
      title: OwnAdLibraryImageResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````